Bug 768869 - [abrt] cxxtest-3.10.1-4.fc15: cxxtestgen:73:abort:TypeError: expected a character buffer object
Summary: [abrt] cxxtest-3.10.1-4.fc15: cxxtestgen:73:abort:TypeError: expected a chara...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cxxtest
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:20ad82a1ad738b423fa46948a40...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-19 08:41 UTC by Slawomir Czarko
Modified: 2012-01-05 20:33 UTC (History)
1 user (show)

Fixed In Version: cxxtest-3.10.1-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-30 00:58:17 UTC


Attachments (Terms of Use)

Description Slawomir Czarko 2011-12-19 08:41:17 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        
comment:        Execute "cxxtestgen --help"
component:      cxxtest
executable:     /usr/bin/cxxtestgen
kernel:         2.6.41.4-1.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        cxxtest-3.10.1-4.fc15
reason:         cxxtestgen:73:abort:TypeError: expected a character buffer object
time:           Mon Dec 19 09:40:34 2011
uid:            2026
username:       slawomir

backtrace:
:cxxtestgen:73:abort:TypeError: expected a character buffer object
:
:Traceback (most recent call last):
:  File "/usr/bin/cxxtestgen", line 593, in <module>
:    main()
:  File "/usr/bin/cxxtestgen", line 53, in main
:    files = parseCommandline()
:  File "/usr/bin/cxxtestgen", line 86, in parseCommandline
:    usage( problem )
:  File "/usr/bin/cxxtestgen", line 64, in usage
:    abort( problem )
:  File "/usr/bin/cxxtestgen", line 73, in abort
:    sys.stderr.write( problem )
:TypeError: expected a character buffer object
:
:Local variables in innermost frame:
:problem: GetoptError('option --help not recognized', 'help')

Comment 1 Fedora Update System 2011-12-19 13:02:49 UTC
cxxtest-3.10.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cxxtest-3.10.1-5.fc15

Comment 2 Fedora Update System 2011-12-19 13:02:56 UTC
cxxtest-3.10.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cxxtest-3.10.1-5.fc16

Comment 3 Fedora Update System 2011-12-19 13:03:04 UTC
cxxtest-3.10.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cxxtest-3.10.1-5.el6

Comment 4 Fedora Update System 2011-12-20 20:04:35 UTC
Package cxxtest-3.10.1-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cxxtest-3.10.1-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5292/cxxtest-3.10.1-5.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-30 00:58:17 UTC
cxxtest-3.10.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-12-30 01:01:17 UTC
cxxtest-3.10.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-01-05 20:33:34 UTC
cxxtest-3.10.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.